%global  pypi_name extension_helpers

Name:           python-extension-helpers
Version:        1.2.0
Release:        %mkrel 4
Summary:        Convenience helpers to assist with building Python packages
License:        BSD
Group:          Development/Python
URL:            https://pypi.org/project/extension-helpers/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3-devel

%description
The extension-helpers package includes convenience helpers to assist with
building Python packages with compiled C/Cython extensions. It is developed by
the Astropy project but is intended to be general and usable by any Python
package.

%package -n python3-extension-helpers
Summary:        Convenience helpers to assist with building Python3 packages
%{?python_provide:%python_provide python3-extension-helpers}
Provides:       extension-helpers = %{version}-%{release}

Obsoletes:      python3-extension_helpers < 1.2.0-3

%description -n python3-extension-helpers
The extension-helpers package includes convenience helpers to assist with
building Python packages with compiled C/Cython extensions. It is developed by
the Astropy project but is intended to be general and usable by any Python
package.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-extension-helpers -f %{pyproject_files}
%doc README.rst


%changelog
* Sun Mar 02 2025 daviddavid <daviddavid> 1.2.0-4.mga10
+ Revision: 2156752
- rebuild for python 3.13

* Sat Feb 01 2025 daviddavid <daviddavid> 1.2.0-3.mga10
+ Revision: 2144065
- fix pkg name
+ eatdirt <eatdirt>
- Bump rel
- Update to version 1.2.0

* Sun Dec 24 2023 wally <wally> 1.1.1-1.mga10
+ Revision: 2021099
- new version 1.1.1
- use %%pyproject_buildrequires

* Sat Aug 27 2022 wally <wally> 1.0.0-2.mga9
+ Revision: 1880963
- switch build to use pyproject RPM macros

* Fri Aug 26 2022 eatdirt <eatdirt> 1.0.0-1.mga9
+ Revision: 1880498
- Update to version 1.0.0

* Thu Mar 24 2022 umeabot <umeabot> 0.1-3.mga9
+ Revision: 1825005
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.1-2.mga9
+ Revision: 1783216
- rebuild for python-3.10

* Wed Dec 23 2020 eatdirt <eatdirt> 0.1-1.mga9
+ Revision: 1663146
- Fix missing BR
- imported package python-extension-helpers

